MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022856Open CASCADE[OCCT] OCCT:VISpublic2011-12-16 16:422014-11-11 12:58
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0022856: Missing selection modes to be added to IVtk_SelectionMode
DescriptionIt is necessary to add missing selection modes to IVtk_SelectionMode enumeration.
Selection mode constants should be the same as ones used by AIS_Shape OCCT class.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024904closedbugmaster Visualization - Integration of VIS component 

-  Notes
(0018912)
rkv (developer)
2011-12-19 15:42

It's not so trivial task to add new selection modes because some selectable types of shapes (for example TopoDS_Wire) are not defined in the results of meshing (i.e. in the output ShapeData). In the meshed ShapeData we have only vertices, edges and faces.
In the case of such selection mode, on pick we will get id(s) of a subshape(s) for which we have no generated cells in ShapeData. These cells are related to more simple subshapes (vertices, edges and faces) of the selected one.
So we need to get sub-ids from a selected subshape id to find appropriate cells in ShapeData.
The following method is suggested for that in IShape:
//! Get ids of sub-shapes composing a sub-shape with the given id
IVtk_ShapeIdList getSubIds(const IVtk_IdType) const

For vertices, edges and faces the result will contain the same id as an input id.
(0018917)
rkv (developer)
2011-12-20 12:25

Done.
(0021268)
san (developer)
2012-08-18 14:40

The issues was created during development of VIS component for development needs only.
The issue has been corrected and should be closed, no testing is required.

- Issue History
Date Modified Username Field Change
2011-12-16 16:42 san New Issue
2011-12-16 16:42 san Assigned To => rkv
2011-12-16 16:42 san Status new => assigned
2011-12-19 15:42 rkv Note Added: 0018912
2011-12-20 12:25 rkv Note Added: 0018917
2011-12-20 12:25 rkv Status assigned => resolved
2011-12-26 07:39 abv Project Open CASCADE => Internal
2012-05-12 17:35 mkv Assigned To rkv => san
2012-08-18 14:40 san Note Added: 0021268
2012-08-18 14:40 san Assigned To san => bugmaster
2012-08-18 14:40 san Status resolved => reviewed
2014-09-18 09:50 abv Target Version => 6.8.0
2014-09-18 09:58 abv Category PRODUCTS:VIS => OCCT:VIS
2014-09-18 10:39 bugmaster Project Internal => Open CASCADE
2014-09-22 11:37 apn Test case number => Not needed
2014-09-22 11:37 apn Assigned To bugmaster => san
2014-09-22 11:37 apn Status reviewed => closed
2014-09-22 11:37 apn Resolution open => fixed
2014-09-22 13:14 apn Assigned To san => bugmaster
2014-09-22 13:14 apn Status closed => feedback
2014-09-22 13:14 apn Status feedback => tested
2014-09-22 13:14 apn Status tested => verified
2014-09-22 13:14 apn Relationship added related to 0024904
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker